Run Eval
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/evals/{eval_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {},
"config": {}
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/evals/{eval_id}/runs"
payload = {
"input": {},
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {}, config: {}})
};
fetch('https://api.veryfront.com/projects/{project_reference}/evals/{eval_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "eval-run",
"runId": "<string>",
"evalId": "<string>",
"targetKind": "agent",
"target": "<string>",
"summary": {
"records": 123,
"passed": 123,
"failed": 123,
"passRate": 123,
"metrics": [
{
"name": "<string>",
"passed": 123,
"failed": 123,
"skipped": 123,
"passRate": 123
}
],
"skippedResults": 123,
"duration": {
"totalMs": 123,
"minMs": 123,
"maxMs": 123,
"meanMs": 123,
"p50Ms": 123,
"p95Ms": 123
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"billableInputTokens": 123,
"billableOutputTokens": 123,
"billableCacheCreationInputTokens": 123,
"billableCacheReadInputTokens": 123,
"cachedInputTokens": 123,
"cacheCreationInputTokens": 123,
"cacheReadInputTokens": 123,
"reasoningTokens": 123,
"costUsd": 123,
"providerInputCostUsd": 123,
"providerOutputCostUsd": 123,
"providerCacheCreationInputCostUsd": 123,
"providerCacheReadInputCostUsd": 123,
"providerCostUsd": 123,
"veryfrontInputChargeUsd": 123,
"veryfrontOutputChargeUsd": 123,
"veryfrontCacheCreationInputChargeUsd": 123,
"veryfrontCacheReadInputChargeUsd": 123,
"veryfrontChargeUsd": 123,
"veryfrontBilledUsd": 123,
"costCredits": 123
},
"gateFailures": [
{
"recordId": "<string>",
"exampleId": "<string>",
"repetition": 123,
"name": "<string>",
"explanation": "<string>",
"evidence": {}
}
],
"failedExamples": [
{
"exampleId": "<string>",
"records": 123,
"passed": 123,
"failed": 123,
"passRate": 123,
"flaky": true
}
],
"flakes": {
"examples": 123,
"stablePassed": 123,
"stableFailed": 123,
"flaky": 123
}
},
"reportPath": "<string>",
"metadata": {},
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"source": {
"filePath": "<string>",
"exportName": "<string>",
"content": "<string>"
},
"error": null
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}Starts an eval run for a source-backed eval definition.
POST
/
projects
/
{project_reference}
/
evals
/
{eval_id}
/
runs
Run Eval
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Provide the runtime target kind.
Available options:
main_branch, environment, preview_branch Provide the target environment id.
Provide the target branch id.
Provide the source target kind.
Available options:
project, main_branch, environment, preview_branch Response
Eval run
Available options:
eval-run Available options:
pending, running, waiting, completed, failed, cancelled Available options:
agent Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I